aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/wwwoffle/files/wwwoffle.init
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/wwwoffle/files/wwwoffle.init')
-rw-r--r--recipes/wwwoffle/files/wwwoffle.init22
1 files changed, 22 insertions, 0 deletions
diff --git a/recipes/wwwoffle/files/wwwoffle.init b/recipes/wwwoffle/files/wwwoffle.init
new file mode 100644
index 0000000000..7eac239a3e
--- /dev/null
+++ b/recipes/wwwoffle/files/wwwoffle.init
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+case "$1" in
+start)
+ /usr/sbin/wwwoffled
+ ;;
+restart)
+ /usr/bin/wwwoffle -kill
+ /usr/sbin/wwwoffled >/dev/null 2>&1
+ ;;
+reload|force-reload)
+ /usr/bin/wwwoffle -config
+ ;;
+stop)
+ /usr/bin/wwwoffle -kill
+ ;;
+*)
+ echo "Usage: /etc/init.d/wwwoffle {start|stop|restart|reload|force-reload}"
+ exit 1
+esac
+
+exit 0